<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::IMutableContext Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IMutableContext.html">IMutableContext</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="structCatch_1_1IMutableContext-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::IMutableContext Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::IMutableContext:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1IMutableContext__inherit__graph.png" border="0" usemap="#Catch_1_1IMutableContext_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1IMutableContext_inherit__map" id="Catch_1_1IMutableContext_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,180,107"/>
<area shape="rect" href="structCatch_1_1IContext.html" title=" " alt="" coords="31,5,154,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::IMutableContext:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1IMutableContext__coll__graph.png" border="0" usemap="#Catch_1_1IMutableContext_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1IMutableContext_coll__map" id="Catch_1_1IMutableContext_coll__map">
<area shape="rect" title=" " alt="" coords="5,81,180,108"/>
<area shape="rect" href="structCatch_1_1IContext.html" title=" " alt="" coords="31,5,154,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a93f32b2ab6d0fb83637059240be799ab"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#a93f32b2ab6d0fb83637059240be799ab">~IMutableContext</a> ()</td></tr>
<tr class="separator:a93f32b2ab6d0fb83637059240be799ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a80afd0525b7def21bee8d9b48f2d39"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#a4a80afd0525b7def21bee8d9b48f2d39">setResultCapture</a> (<a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> *resultCapture)=0</td></tr>
<tr class="separator:a4a80afd0525b7def21bee8d9b48f2d39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2e53b1dea4527a2587cff266a730f6e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#af2e53b1dea4527a2587cff266a730f6e">setRunner</a> (<a class="el" href="structCatch_1_1IRunner.html">IRunner</a> *runner)=0</td></tr>
<tr class="separator:af2e53b1dea4527a2587cff266a730f6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa81ba080fce084e9482f20338bc88531"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#aa81ba080fce084e9482f20338bc88531">setConfig</a> (<a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const &amp;config)=0</td></tr>
<tr class="separator:aa81ba080fce084e9482f20338bc88531"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93f32b2ab6d0fb83637059240be799ab"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#a93f32b2ab6d0fb83637059240be799ab">~IMutableContext</a> ()</td></tr>
<tr class="separator:a93f32b2ab6d0fb83637059240be799ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a80afd0525b7def21bee8d9b48f2d39"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#a4a80afd0525b7def21bee8d9b48f2d39">setResultCapture</a> (<a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> *resultCapture)=0</td></tr>
<tr class="separator:a4a80afd0525b7def21bee8d9b48f2d39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2e53b1dea4527a2587cff266a730f6e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#af2e53b1dea4527a2587cff266a730f6e">setRunner</a> (<a class="el" href="structCatch_1_1IRunner.html">IRunner</a> *runner)=0</td></tr>
<tr class="separator:af2e53b1dea4527a2587cff266a730f6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa81ba080fce084e9482f20338bc88531"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#aa81ba080fce084e9482f20338bc88531">setConfig</a> (<a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const &amp;config)=0</td></tr>
<tr class="separator:aa81ba080fce084e9482f20338bc88531"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1IContext"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1IContext')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1IContext.html">Catch::IContext</a></td></tr>
<tr class="memitem:aeb17355c1be6c2ced5407cad7202628d inherit pub_methods_structCatch_1_1IContext"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#aeb17355c1be6c2ced5407cad7202628d">~IContext</a> ()</td></tr>
<tr class="separator:aeb17355c1be6c2ced5407cad7202628d inherit pub_methods_structCatch_1_1IContext"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684e4ae71d1fdf3060c352ecde1d122f inherit pub_methods_structCatch_1_1IContext"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#a684e4ae71d1fdf3060c352ecde1d122f">getResultCapture</a> ()=0</td></tr>
<tr class="separator:a684e4ae71d1fdf3060c352ecde1d122f inherit pub_methods_structCatch_1_1IContext"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af088415dde18d039ed5a2f95b02767c6 inherit pub_methods_structCatch_1_1IContext"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IRunner.html">IRunner</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#af088415dde18d039ed5a2f95b02767c6">getRunner</a> ()=0</td></tr>
<tr class="separator:af088415dde18d039ed5a2f95b02767c6 inherit pub_methods_structCatch_1_1IContext"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72a2718232adea8925fec9e71d3efd75 inherit pub_methods_structCatch_1_1IContext"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#a72a2718232adea8925fec9e71d3efd75">getConfig</a> () const =0</td></tr>
<tr class="separator:a72a2718232adea8925fec9e71d3efd75 inherit pub_methods_structCatch_1_1IContext"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb17355c1be6c2ced5407cad7202628d inherit pub_methods_structCatch_1_1IContext"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#aeb17355c1be6c2ced5407cad7202628d">~IContext</a> ()</td></tr>
<tr class="separator:aeb17355c1be6c2ced5407cad7202628d inherit pub_methods_structCatch_1_1IContext"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684e4ae71d1fdf3060c352ecde1d122f inherit pub_methods_structCatch_1_1IContext"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#a684e4ae71d1fdf3060c352ecde1d122f">getResultCapture</a> ()=0</td></tr>
<tr class="separator:a684e4ae71d1fdf3060c352ecde1d122f inherit pub_methods_structCatch_1_1IContext"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af088415dde18d039ed5a2f95b02767c6 inherit pub_methods_structCatch_1_1IContext"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IRunner.html">IRunner</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#af088415dde18d039ed5a2f95b02767c6">getRunner</a> ()=0</td></tr>
<tr class="separator:af088415dde18d039ed5a2f95b02767c6 inherit pub_methods_structCatch_1_1IContext"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72a2718232adea8925fec9e71d3efd75 inherit pub_methods_structCatch_1_1IContext"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IContext.html#a72a2718232adea8925fec9e71d3efd75">getConfig</a> () const =0</td></tr>
<tr class="separator:a72a2718232adea8925fec9e71d3efd75 inherit pub_methods_structCatch_1_1IContext"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a17e4b3f9a9674af7e2c4f081c692a628"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#a17e4b3f9a9674af7e2c4f081c692a628">createContext</a> ()</td></tr>
<tr class="separator:a17e4b3f9a9674af7e2c4f081c692a628"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17e4b3f9a9674af7e2c4f081c692a628"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#a17e4b3f9a9674af7e2c4f081c692a628">createContext</a> ()</td></tr>
<tr class="separator:a17e4b3f9a9674af7e2c4f081c692a628"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a6f5e4fbb776d65b4d80b884995ad2f2a"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structCatch_1_1IMutableContext.html">IMutableContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#a6f5e4fbb776d65b4d80b884995ad2f2a">currentContext</a></td></tr>
<tr class="separator:a6f5e4fbb776d65b4d80b884995ad2f2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:aea4b25692aaf4397cdf630716976f6b8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1IMutableContext.html">IMutableContext</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#aea4b25692aaf4397cdf630716976f6b8">getCurrentMutableContext</a> ()</td></tr>
<tr class="separator:aea4b25692aaf4397cdf630716976f6b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac07cdb7d744cc8f09672d924324b55fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#ac07cdb7d744cc8f09672d924324b55fd">cleanUpContext</a> ()</td></tr>
<tr class="separator:ac07cdb7d744cc8f09672d924324b55fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea4b25692aaf4397cdf630716976f6b8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1IMutableContext.html">IMutableContext</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#aea4b25692aaf4397cdf630716976f6b8">getCurrentMutableContext</a> ()</td></tr>
<tr class="separator:aea4b25692aaf4397cdf630716976f6b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac07cdb7d744cc8f09672d924324b55fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableContext.html#ac07cdb7d744cc8f09672d924324b55fd">cleanUpContext</a> ()</td></tr>
<tr class="separator:ac07cdb7d744cc8f09672d924324b55fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a93f32b2ab6d0fb83637059240be799ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93f32b2ab6d0fb83637059240be799ab">&#9670;&nbsp;</a></span>~IMutableContext() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IMutableContext::~IMutableContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a93f32b2ab6d0fb83637059240be799ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93f32b2ab6d0fb83637059240be799ab">&#9670;&nbsp;</a></span>~IMutableContext() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IMutableContext::~IMutableContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a17e4b3f9a9674af7e2c4f081c692a628"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17e4b3f9a9674af7e2c4f081c692a628">&#9670;&nbsp;</a></span>createContext() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Catch::IMutableContext::createContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a17e4b3f9a9674af7e2c4f081c692a628"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17e4b3f9a9674af7e2c4f081c692a628">&#9670;&nbsp;</a></span>createContext() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Catch::IMutableContext::createContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa81ba080fce084e9482f20338bc88531"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa81ba080fce084e9482f20338bc88531">&#9670;&nbsp;</a></span>setConfig() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableContext::setConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const &amp;&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa81ba080fce084e9482f20338bc88531"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa81ba080fce084e9482f20338bc88531">&#9670;&nbsp;</a></span>setConfig() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableContext::setConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">IConfigPtr</a> const &amp;&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a80afd0525b7def21bee8d9b48f2d39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a80afd0525b7def21bee8d9b48f2d39">&#9670;&nbsp;</a></span>setResultCapture() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableContext::setResultCapture </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> *&#160;</td>
          <td class="paramname"><em>resultCapture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a80afd0525b7def21bee8d9b48f2d39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a80afd0525b7def21bee8d9b48f2d39">&#9670;&nbsp;</a></span>setResultCapture() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableContext::setResultCapture </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a> *&#160;</td>
          <td class="paramname"><em>resultCapture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af2e53b1dea4527a2587cff266a730f6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2e53b1dea4527a2587cff266a730f6e">&#9670;&nbsp;</a></span>setRunner() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableContext::setRunner </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1IRunner.html">IRunner</a> *&#160;</td>
          <td class="paramname"><em>runner</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af2e53b1dea4527a2587cff266a730f6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2e53b1dea4527a2587cff266a730f6e">&#9670;&nbsp;</a></span>setRunner() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableContext::setRunner </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1IRunner.html">IRunner</a> *&#160;</td>
          <td class="paramname"><em>runner</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="ac07cdb7d744cc8f09672d924324b55fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac07cdb7d744cc8f09672d924324b55fd">&#9670;&nbsp;</a></span>cleanUpContext <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cleanUpContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac07cdb7d744cc8f09672d924324b55fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac07cdb7d744cc8f09672d924324b55fd">&#9670;&nbsp;</a></span>cleanUpContext <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cleanUpContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea4b25692aaf4397cdf630716976f6b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea4b25692aaf4397cdf630716976f6b8">&#9670;&nbsp;</a></span>getCurrentMutableContext <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1IMutableContext.html">IMutableContext</a>&amp; getCurrentMutableContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea4b25692aaf4397cdf630716976f6b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea4b25692aaf4397cdf630716976f6b8">&#9670;&nbsp;</a></span>getCurrentMutableContext <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1IMutableContext.html">IMutableContext</a>&amp; getCurrentMutableContext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a6f5e4fbb776d65b4d80b884995ad2f2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f5e4fbb776d65b4d80b884995ad2f2a">&#9670;&nbsp;</a></span>currentContext</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structCatch_1_1IMutableContext.html">IMutableContext</a> * Catch::IMutableContext::currentContext</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
